Package net.shibboleth.idp.cas.service

# Class ServiceDefinition

java.lang.Object
net.shibboleth.idp.cas.service.ServiceDefinition

public class ServiceDefinition extends Object
Defines a registered CAS service (i.e. relying party).

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`authorizedToProxy`
Proxy authorization flag.
`private String`
`group`
Logical group to which service belongs.
`private final String`
`id`
Service identifier.
`private boolean`
`singleLogoutParticipant`
Indicates whether a service wants to receive SLO messages.

## Constructor Summary

Constructors
Constructor
Description
`ServiceDefinition(String regex)`
Creates a new instance with the given id.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getGroup()`
Get the logical group to which service belong.
`String`
`getId()`
Get the service identifier.
`int`
`hashCode()`
`boolean`
`isAuthorizedToProxy()`
Get whether proxying is authorized.
`boolean`
`isSingleLogoutParticipant()`
Get whether the service wants to receive SLO message.
`void`
`setAuthorizedToProxy(boolean proxy)`
Sets the proxy authorization flag.
`void`
`setGroup(String name)`
Set the group name.
`void`
`setSingleLogoutParticipant(boolean wantsSLO)`
Determines whether the service participates in SLO.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

@Nonnull private final String id
Service identifier.

### group

@Nullable private String group
Logical group to which service belongs.

### authorizedToProxy

private boolean authorizedToProxy
Proxy authorization flag.

### singleLogoutParticipant

private boolean singleLogoutParticipant
Indicates whether a service wants to receive SLO messages.

## Constructor Details

### ServiceDefinition

public ServiceDefinition(@Nonnull @NotEmpty @ParameterName(name="regex") String regex)
Creates a new instance with the given id.

Parameters:
  `regex` - Service identifier. For historical reasons this parameter is named "regex" but will be renamed in a future version.

## Method Details

### getId

@Nonnull public String getId()
Get the service identifier.

Returns:
  Service identifier

### getGroup

@Nullable public String getGroup()
Get the logical group to which service belong.

Returns:
  Group name to which services matching this definition belong

### setGroup

public void setGroup(@NotEmpty String name)
Set the group name.

Parameters:
  `name` - Group name.

### isAuthorizedToProxy

public boolean isAuthorizedToProxy()
Get whether proxying is authorized.

Returns:
  true if proxying is authorized, false otherwise

### setAuthorizedToProxy

public void setAuthorizedToProxy(boolean proxy)
Sets the proxy authorization flag.

Parameters:
  `proxy` - True to allow the service to request proxy-granting tickets, false otherwise.

### isSingleLogoutParticipant

public boolean isSingleLogoutParticipant()
Get whether the service wants to receive SLO message.

Returns:
  true to indicate the service wants to receive SLO messages, false otherwise

### setSingleLogoutParticipant

public void setSingleLogoutParticipant(boolean wantsSLO)
Determines whether the service participates in SLO.

Parameters:
  `wantsSLO` - True to indicate the service wants to receive SLO messages, false otherwise.

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`